package ninja.thefirearchmage.games.fourtykcalculator;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@AllArgsConstructor @NoArgsConstructor
@Getter @Setter
public class WeaponAttackResolution {
    private double normalWounds;
    private double normalWoundsFromLethalHits;
    private double normalWoundsFromRerolls;
    private double normalWoundsWithoutRerolls;
    private double mortalWounds;
    private double hits;
    private double hitsFromSustainedHits;
    private double hitsFromRerolls;
    private double hitsWithoutRerolls;
    private double normalDamage;
    private double mortalDamage;
    private double totalDamage;
    private SaveResolution saveResolution;
}
