package ninja.thefirearchmage.games.fourtykcalculator;

import lombok.Getter;

@Getter
public enum WeaponStat {
    HITS_COUNT_WITHOUT_REROLL(Double.class),
    HITS_COUNT_FROM_REROLL(Double.class),
    HITS_TOTAL_COUNT(Double.class),
    POTENTIAL_HITS_COUNT(Double.class),
    WOUNDS_TOTAL_COUNT(Double.class),
    WOUNDS_COUNT_WITHOUT_REROLL(Double.class),
    WOUNDS_COUNT_FROM_REROLL(Double.class),
    MORTAL_WOUNDS_COUNT(Double.class),
    DAMAGE_NORMAL(Double.class),
    DAMAGE_MORTAL(Double.class),
    DAMAGE_TOTAL(Double.class),
    LETHAL_HITS_COUNT(Double.class),
    NON_LETHAL_HITS_COUNT(Double.class),
    SUSTAINED_HITS_COUNT(Double.class);

    private final Class<?> statClass;

    WeaponStat(Class<?> statClass) {
        this.statClass = statClass;
    }

}
