package ninja.thefirearchmage.games.fourtykcalculator;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
public class AttackScenarioResolution {
    private List<WeaponAttackResolution> weaponAttacksStats;
    private double totalInflictedDamage;
    private double totalPreventedDamage;

    public AttackScenarioResolution() {
        this.weaponAttacksStats = new ArrayList<>();
        totalInflictedDamage = 0;
        totalPreventedDamage = 0;
    }

    public void addWeaponAttackResolution(WeaponAttackResolution resolution) {
        this.weaponAttacksStats.add(resolution);
        totalInflictedDamage += resolution.getTotalDamage();
        totalPreventedDamage += resolution.getSaveResolution().getPreventedWounds();
    }
}
